﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<Promo>

@(
 Html.Grid(Model).Named("AllPromo").Columns(columns =>
 {

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Promo.Edit(x.ID))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModalProm\">Detail</a>", "#", Url.Action(MVC.Promo.Detail(x.ID)), x.PromoCode));

     columns.Add(x => x.PromoCode)
         .Titled("Kode Promo")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.PromoCode).Filterable(true);

     columns.Add(x => x.Description)
         .Titled("Description")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => string.IsNullOrEmpty(x.Description)?string.Empty: x.Description.ToString()).Filterable(true);

     columns.Add(x => x.StartDate)
        .Titled("Tanggal Mulai")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.StartDate.ToString("dd-MM-yyyy")).Filterable(true);

     columns.Add(x => x.EndDate)
        .Titled("Tanggal Berakhir")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.EndDate.ToString("dd-MM-yyyy")).Filterable(true);
     
     columns.Add(x => x.IsCheck)
        .Titled("Is Check")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsCheck.HasValue ? x.IsCheck.Value.ToString() : string.Empty);

     columns.Add(x => x.IsActive)
        .Titled("Is Active")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsActive.HasValue ? x.IsActive.Value.ToString() : string.Empty);

     columns.Add(x => x.IsVoucher)
       .Titled("Need Voucher")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.IsVoucher.HasValue ? x.IsVoucher.Value.ToString() : string.Empty);

     columns.Add(x => x.Status)
      .Titled("Promo For")
      .Encoded(false)
      .Sanitized(false)
      .Sortable(true)
      .RenderValueAs(x => x.Status);
     
     columns.Add(x => x.MsgResponse)
        .Titled("Success MSG")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MsgResponse);

     columns.Add(x => x.MsgResponseFailedUnikKodeExp)
        .Titled("Expired MSG")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MsgResponseFailedUnikKodeExp);

     columns.Add(x => x.MsgResponseFailedUnikKodeNotFound)
        .Titled("Unik Kode NotFound MSG")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MsgResponseFailedUnikKodeNotFound);

     columns.Add(x => x.MsgResponseFailedUnikKodeUsed)
        .Titled("Unik Kode Used MSG")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MsgResponseFailedUnikKodeUsed);

     columns.Add(x => x.MsgResponseUnderOneYear)
       .Titled("Under 1 Year MSG")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.MsgResponseUnderOneYear);

     columns.Add(x => x.MsgResponseForStatus)
     .Titled("Status MSG")
     .Encoded(false)
     .Sanitized(false)
     .Sortable(true)
     .RenderValueAs(x => x.MsgResponseForStatus);
     
     columns.Add(x => x.CreatedBy)
       .Titled("Created By")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.CreatedBy);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.HasValue ? x.CreatedDate.Value.ToString("dd-MM-yyyy HH:mm") : string.Empty);

     columns.Add(x => x.UpdateBy)
         .Titled("Update By")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.UpdateBy);

     columns.Add(x => x.UpdateDate)
         .Titled("Update Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.UpdateDate.HasValue ? x.UpdateDate.Value.ToString("dd-MM-yyyy HH:mm") : string.Empty);

 }).Filterable()
.Sortable()
.WithPaging(5)
)


